## howdoi 2.0.20

=== requirements.txt ===
# when adding a new dependency, also add to setup.py's `install_requires`
-r requirements/prod.txt

## howdoi 1.1.9

=== debian/changelog ===
howdoi (1.1.9-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Declare compliance with Debian policy 3.9.8
  * debian/tests/control: Add more tests for the remaining package commands

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Mon, 09 May 2016 16:19:22 -0300

howdoi (1.1.7-2) unstable; urgency=medium

  * Fix typo on package description (Closes: 820495)
  * debian/tests/control: add allow-stderr to Restrictions, fixing the DEP8
    tests

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Sun, 10 Apr 2016 15:52:50 -0300

howdoi (1.1.7-1) unstable; urgency=medium

  * Initial release (Closes: #815722)

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Tue, 23 Feb 2016 22:23:14 -0300

=== debian/control ===
Source: howdoi
Maintainer: Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/gleitz/howdoi
X-Python3-Version: >= 3.1

Package: howdoi
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pyquery,
         python3-requests-cache,
         python3-pygments,
         python3-lxml,
         python3-cssselect,
         python3-requests
Description: command line tool for instant coding answers
 howdoi will search Google for StackOverflow answers and output you the most
 voted one. Multiple output options are supported, such as providing just a
 link to the answer, providing multiple answers for the same question, etc.

## howdoi 2.0.20

=== debian/changelog ===
howdoi (2.0.20-2) unstable; urgency=medium

  * Team upload.
  * Replace python3-appdirs with python3-platformdirs

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 16:47:15 +0200

howdoi (2.0.20-1) unstable; urgency=medium

  * New upstream version
    Closes: #1067003, #1085637
  * Maintain in Package Salvage team
    Closes: #1104079
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
    Closes: #1046721
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * watch file standard 4 (routine-update)
  * Depends: python3-keep

 -- Andreas Tille <tille@debian.org>  Fri, 16 May 2025 11:15:45 +0200

howdoi (1.1.9-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 16:10:17 +0200

=== debian/control ===
Source: howdoi
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/howdoi
Vcs-Git: https://salsa.debian.org/salvage-team/howdoi.git
Homepage: https://github.com/gleitz/howdoi

Package: howdoi
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pyquery,
         python3-requests-cache,
         python3-pygments,
         python3-lxml,
         python3-cssselect,
         python3-requests,
         python3-keep
Description: command line tool for instant coding answers
 howdoi will search Google for StackOverflow answers and output you the most
 voted one. Multiple output options are supported, such as providing just a
 link to the answer, providing multiple answers for the same question, etc.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME = howdoi

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: tools
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/howdoi/howdoi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
